package com.fluentadflowreactnativesdk
import com.facebook.react.bridge.ReactApplicationContext
import android.content.Context
import com.facebook.react.bridge.ReactContextBaseJavaModule
import com.facebook.react.bridge.ReactMethod
import com.facebook.react.uimanager.ThemedReactContext
import com.fluent.adflowsdk.adflow.FluentAdflowStaticWrapper

class FluentAdFlowWidgetModule(reactContext: ReactApplicationContext) :
  ReactContextBaseJavaModule(reactContext) {

  init {
  }

  override fun getName(): String {
    return NAME
  }

  @ReactMethod
  fun initSdk(apiKey: String, referer: String? = null) {
    if(reactApplicationContext != null) {
      if(referer != null) {
        FluentAdflowStaticWrapper.init(apiKey, (referer))
      } else {
        FluentAdflowStaticWrapper.init(apiKey)
      }
    }
  }

  companion object {
    const val NAME = "FluentAdFlowAdsSdk"
  }
}
