import {
  NativeModules,
} from 'react-native';

import {FluentAdFlowWidgetView} from './fluent-adflow-widget'

const FluentAdFlowSdk = NativeModules.FluentAdFlowAdsSdk
? NativeModules.FluentAdFlowAdsSdk
: new Proxy(
  {},
  {
    get() {},
  }
);

export class FluentAdFlowWidget{
  static init(apiKey: string, referer?: string) {
    return FluentAdFlowSdk.initSdk(apiKey, referer);
  }
}

export { FluentAdFlowWidgetView }
